Bug 682662 - Bind mounts get ignored
Summary: Bind mounts get ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-07 07:48 UTC by Martin Sourada
Modified: 2011-05-01 03:23 UTC (History)
6 users (show)

Fixed In Version: systemd-25-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-01 03:23:26 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Sourada 2011-03-07 07:48:00 UTC
Description of problem:
I have a number of bind mounts defined in fstab. In F14 (i.e. with upstart) they got mounted during boot, with systemd they're never mounted, so I have to mount them manually (e.g. using mount -a).

The bind mount entries in fstab I use look like this:
/old/dir    /new/dir none bind,nofail

Version-Release number of selected component (if applicable):
systemd-19-1.fc15.i686

How reproducible:
always

Steps to Reproduce:
1. add bind mount to fstab
2. reboot
  
Actual results:
Bind mounts get ignored.

Expected results:
Bind mounts get mounted.

Comment 1 Lennart Poettering 2011-03-08 00:04:36 UTC
Hmm, this is probably triggered by broken handling of nofail in systemd, when used in conjunction with bind mounts. If you drop nofail, do things then work for you?

Comment 2 Martin Sourada 2011-03-08 21:25:46 UTC
(In reply to comment #1)
> Hmm, this is probably triggered by broken handling of nofail in systemd, when
> used in conjunction with bind mounts. If you drop nofail, do things then work
> for you?
Just as you said. Dropping nofail makes it work.

Comment 3 Fedora Update System 2011-04-21 02:00:17 UTC
systemd-25-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/systemd-25-1.fc15

Comment 4 Fedora Update System 2011-04-21 03:01:43 UTC
Package systemd-25-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-25-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/systemd-25-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-01 03:22:42 UTC
systemd-25-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.